Get Brand Board by ID
Retrieves a specific brand board by its unique identifier.
GET
/
brand-boards
/
{brandBoardId}
Get Brand Board by ID
curl --request GET \
--url https://services.leadconnectorhq.com/brand-boards/{brandBoardId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/brand-boards/{brandBoardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards/{brandBoardId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
The unique identifier for the brand board
Example:
"bb_abc123def456"
Response
Brand board retrieved successfully
Show child attributes
Show child attributes
Last modified on March 7, 2026
Was this page helpful?
Get Brand Board by ID
curl --request GET \
--url https://services.leadconnectorhq.com/brand-boards/{brandBoardId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/brand-boards/{brandBoardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards/{brandBoardId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}